FleetbaseFleetbase

Tracking Numbers

Tracking numbers identify shipments, payloads, and scannable workflow artifacts. Use tracking number endpoints to create identifiers, decode QR data, and attach trackable references to operations.

The Tracking Number object

A tracking number links a generated tracking code to an order or entity. It exposes the current tracking status, QR and barcode assets, console tracking URL, and owner type.
Attributes
idstringoptional

Public tracking number identifier.

tracking_numberstringoptional

Generated tracking code.

subjectstringoptional

Public ID of the owning order or entity.

regionstringoptional

Region used for the tracking number.

statusstringoptional

Latest human-readable status.

status_codestringoptional

Latest machine-readable status code.

qr_codestringoptional

QR code asset URL or data.

barcodestringoptional

Barcode asset URL or data.

urlstringoptional

Tracking URL.

typestringoptional

Owner resource type.

updated_attimestampoptional

Timestamp when the tracking number was last updated.

created_attimestampoptional

Timestamp when the tracking number was created.

The Tracking Number object
{
  "id": "tracking_3Nf8Qw2YxM",
  "tracking_number": "FB-1001",
  "subject": "order_7YqM3KpL2n",
  "region": "US",
  "status": "Created",
  "status_code": "created",
  "qr_code": "https://api.fleetbase.io/qr/FB-1001",
  "barcode": "https://api.fleetbase.io/barcode/FB-1001",
  "url": "https://console.fleetbase.io/track-order/FB-1001",
  "type": "order",
  "updated_at": "2026-05-07T08:30:00.000000Z",
  "created_at": "2026-05-07T08:30:00.000000Z"
}
POST/v1/tracking-numbers

Create a Tracking Number

This endpoint allows you to retrieve a tracking-number object to view it's details.

Body parameters
regionstringrequired

Region code used when generating the tracking number.

ownerstringrequired

Order or entity ID that owns the tracking number.

typeenumoptional

Region granularity used when generating the tracking number. One of city, province, country.

statusenumoptional

Initial tracking number status. One of active, inactive.

POST/v1/tracking-numbers
curl -X POST https://api.fleetbase.io/v1/tracking-numbers \
  -H "Authorization: Bearer flb_live_…" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
    "region": "SG",
    "owner": "{{order_id}}"
}'
200 OK
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "latitude": "<string>",
  "longitude": "<string>",
  "status": "<string>",
  "updated_at": "<string>",
  "created_at": "<string>"
}
POST/v1/tracking-numbers/from-qr

Decode Tracking Number QR

Decodes a tracking/entity/order QR code UUID and returns the matching resource.

Body parameters
codestringrequired

QR code UUID to resolve into its matching order, entity, or tracking resource.

POST/v1/tracking-numbers/from-qr
curl -X POST https://api.fleetbase.io/v1/tracking-numbers/from-qr \
  -H "Authorization: Bearer flb_live_…" \
  -H "Content-Type: application/json" \
  -d '{
  "code": "{{qr_code}}"
}'
GET/v1/tracking-numbers/:id

Retrieve a Tracking Number

This endpoint allows you to retrieve a tracking-number object to view it's details.

GET/v1/tracking-numbers/:id
curl https://api.fleetbase.io/v1/tracking-numbers/:id \
  -H "Authorization: Bearer flb_live_…" \
  -H "Accept: application/json"
200 OK
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "latitude": "<string>",
  "longitude": "<string>",
  "status": "<string>",
  "updated_at": "<string>",
  "created_at": "<string>"
}
GET/v1/tracking-numbers

Query Tracking Numbers

This endpoint allows you to query tracking-numbers you have created, it also provides paginated results on all the tracking-numbers in your Fleetbase.

Query parameters
querystringoptional

Search term matched against tracking number fields.

limitintegeroptional

Maximum number of tracking numbers to return.

offsetintegeroptional

Number of tracking numbers to skip before returning results.

sortstringoptional

Sort expression for the tracking number query.

ownerstringoptional

Filters tracking numbers by owner order or entity ID.

statusstringoptional

Filters tracking numbers by latest status.

GET/v1/tracking-numbers
curl https://api.fleetbase.io/v1/tracking-numbers?query=SG&limit=25&offset=0&sort=created_at \
  -H "Authorization: Bearer flb_live_…" \
  -H "Accept: application/json"
200 OK
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "latitude": "<string>",
  "longitude": "<string>",
  "status": "<string>",
  "updated_at": "<string>",
  "created_at": "<string>"
}
DELETE/v1/tracking-numbers/:id

Delete a Tracking Number

Deletes a tracking number by ID.

DELETE/v1/tracking-numbers/:id
curl -X DELETE https://api.fleetbase.io/v1/tracking-numbers/:id \
  -H "Authorization: Bearer flb_live_…" \
  -H "Accept: application/json"
200 OK
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "latitude": "<string>",
  "longitude": "<string>",
  "status": "<string>",
  "updated_at": "<string>",
  "created_at": "<string>"
}
Tracking Numbers | Fleetbase